Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.servlet.jetty
Class IncludableGzipFilter

    java.lang.Object
      org.mortbay.servlet.UserAgentFilter
          org.mortbay.servlet.GzipFilter
              org.mortbay.servlet.jetty.IncludableGzipFilter

All Implemented Interfaces:
  Filter

    public class IncludableGzipFilter

extends GzipFilter

Includable GZip Filter. This extension to the `GzipFilter` that uses Jetty APIs to allow headers to be set during calls to `RequestDispatcher.include(javax.servlet.ServletRequest, javax.servlet.ServletResponse)`. This allows the gzip filter to function correct during includes and to make a decision to gzip or not at the time the buffer fills and on the basis of all response headers.

Author:
  gregw

Nested Class Summary
`class` | `IncludableGzipFilter.IncludableGzipStream`
`class` | `IncludableGzipFilter.IncludableResponseWrapper`

Nested classes/interfaces inherited from class org.mortbay.servlet.GzipFilter
`GzipFilter.GZIPResponseWrapper, GzipFilter.GzipStream`

Field Summary

Fields inherited from class org.mortbay.servlet.GzipFilter
`_bufferSize, _excluded, _mimeTypes, _minGzipSize`

Constructor Summary
`IncludableGzipFilter()`

Method Summary
`protected GzipFilter.GZIPResponseWrapper` | `newGZIPResponseWrapper(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class org.mortbay.servlet.GzipFilter
`destroy, doFilter, init`

Methods inherited from class org.mortbay.servlet.UserAgentFilter
`getUserAgent, getUserAgent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludableGzipFilter

    public IncludableGzipFilter()

Method Detail

### newGZIPResponseWrapper

    protected GzipFilter.GZIPResponseWrapper newGZIPResponseWrapper(HttpServletRequest request,
                                                                    HttpServletResponse response)

  Overrides:
    `newGZIPResponseWrapper` in class `GzipFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.